Subject: Re: Dynamic loading of cygwin dependent dlls
From: "Gerrit P. Haase" <[email-masked]>
To: "Peter Ekberg" <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Aug 2004 23:55:40 +0200

Hallo Peter,

Am Dienstag, 10. August 2004 um 22:58 schriebst du:

> I wrote:
>> Reid Thompson wrote:
>> > well -- i just redid the entire thing, with the correct spelling and
>> > your original post works
>> > 
>> > $ ./load
>> > pseudo_stub.dll ok
>> > foo.dll ok
>> 
>> That's strange, did my original post first get you error 998 for
>> pseudo_stubs.dll and now, after some juggling, the same thing is ok?

> Ah, now I see it. You have to be careful with your typing.
> pseudo_stubs.dll (with one s in the end) is the name that fails.
> Apparently both pseudo_stub.dll (no s) and psuedo_stubs.dll (bad
> spelling) work. And pseudo_stubss.dll (double s) definitely works, that
> I have tried myself.

You have checked what error 998 actually is?

#define ERROR_NOACCESS 998L

I cannot believe that it depends on the name of a DLL whether it can
be dlopened or not.  There must be another error with your test!

Consider this (with source from your first posting):
$ gcc -shared -o pseudo_stubs.dll foo.c
$ gcc -o load load.c
$ ./load
pseudo_stubs.dll        ok
foo.dll dlopen: Win32 error 126
$ cp pseudo_stubs.dll foo.dll
$ ./load
pseudo_stubs.dll        ok
foo.dll ok

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/